---
title: Fetch complete analytics data for your livestreams
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Realtime Kit](https://developers.cloudflare.com/api/python/resources/realtime_kit)

[Livestreams](https://developers.cloudflare.com/api/python/resources/realtime_kit/subresources/livestreams)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Fetch complete analytics data for your livestreams

realtime\_kit.livestreams.get\_livestream\_analytics\_complete(strapp\_id, LivestreamGetLivestreamAnalyticsCompleteParams\*\*kwargs) -> [LivestreamGetLivestreamAnalyticsCompleteResponse](<https://developers.cloudflare.com/api/python/resources/realtime_kit#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_get_livestream_analytics_complete_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/realtime/kit/{app\_id}/analytics/livestreams/overall

Returns livestream analytics for the specified time range.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

account\_id: str

The account identifier tag.

maxLength32

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_livestream_analytics_complete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

app\_id: str

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_livestream_analytics_complete%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

end\_time: Optional\[int]

Specify the end time as a Unix timestamp in seconds to access the livestream analytics.

formatint64

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_livestream_analytics_complete%20%3E%20(params)%20default%20%3E%20(param)%20end_time%20%3E%20(schema)>)

filters: Optional\[str]

Optional filters for livestream analytics.

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_livestream_analytics_complete%20%3E%20(params)%20default%20%3E%20(param)%20filters%20%3E%20(schema)>)

start\_time: Optional\[int]

Specify the start time as a Unix timestamp in seconds to access the livestream analytics.

formatint64

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_livestream_analytics_complete%20%3E%20(params)%20default%20%3E%20(param)%20start_time%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class LivestreamGetLivestreamAnalyticsCompleteResponse: …

</summary>

<details>

<summary>

data: Optional\[Data]

</summary>

count: Optional\[int]

Count of total livestreams.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_get_livestream_analytics_complete_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20count">Link to this property</a>

total\_ingest\_seconds: Optional\[int]

Total time duration for which the input was given or the meeting was streamed.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_get_livestream_analytics_complete_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20total_ingest_seconds">Link to this property</a>

total\_viewer\_seconds: Optional\[int]

Total view time for which the viewers watched the stream.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_get_livestream_analytics_complete_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20total_viewer_seconds">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_get_livestream_analytics_complete_response%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

success: Optional\[bool]

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_get_livestream_analytics_complete_response%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_get_livestream_analytics_complete_response%20%3E%20(schema)>)

### Fetch complete analytics data for your livestreams

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.livestreams.get_livestream_analytics_complete(
    app_id="14a396e7-ca44-4937-bf1f-050a69118543",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.data)
```

200 example

```
{
  "data": {
    "count": 4,
    "total_ingest_seconds": 531,
    "total_viewer_seconds": 116
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "data": {
    "count": 4,
    "total_ingest_seconds": 531,
    "total_viewer_seconds": 116
  },
  "success": true
}
```